<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Notes</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <style>
      body{
        background-color: burlywood;
        margin-top: 25px;
        margin-left: 40px;
        margin-right: 40px;
        font-family: Arial, Helvetica, sans-serif;
        line-height: 150%;
      }
      
      hr{
        border-top: 5px solid rgb(92, 27, 27);
      }

      .header-main{
        height:50px;
      }
      .header-right{
        float:right;
      }

      .mainTitle{
        font-size: 30px;
        padding: 10px;
        float:left;
      }

      body th{
        background-color:rgb(184, 157, 122);
      }
      table{
        width:100%;
        border-collapse: collapse;
        background-color:antiquewhite;
      }

      table, tr, td, th {
        border: 2px solid black;
        padding : 10px;
      }

      .header-right a:hover {
        background-color: rgb(158, 84, 55);
        color: rgb(255, 255, 255);
      }


      .header-right a {
        float: left;
        color: black;
        text-align: center;
        padding: 10px;
        text-decoration: none;
        font-size: 18px; 
        line-height: 25px;
        border-radius: 4px;
      }


      .card:hover {
        box-shadow: 0 8px 16px 0 rgba(124, 82, 4, 0.2);
      }

    </style>
  </head>
  <body>
    <header class="head">
      <div class="header-main">
        <b class="mainTitle">Lab 4</b>
        <div class="header-right">
            <a href="http://localhost:8000/lab-4/">Note Lists</a>
            <a href="http://localhost:8000/lab-4/note-list">Note Cards</a>
            <a href="http://localhost:8000/lab-4/add-note">Add new Note</a>
        </div>
      </div>
      
      <hr>
      
    </header>
    <h2>Notes</h2>

    {% for Note in note %}
    <div class="card" style="width:600px;background-color: antiquewhite;">
      <div class="card-body">
        <h4 class="card-title"><b>{{Note.Title}}</b></h4>
        <p class="card-text">
          <b>To : {{Note.To}}</b><br>
          <b>From : {{Note.From}}</b><br>
          <hr>
          <p>{{Note.Message}}</p>
        </p>
      </div>
    </div>
    <br>
    {% endfor %}
  </body>
</html>
